import { LayerObjectType } from '../../../modules/house-planner/types';

export interface SelectOptions {
  value: string | null | undefined;
  title: string;
}

export interface ObjectProperty {
  key: string;
  title: string;
  type: 'string' | 'boolean' | 'color' | 'number' | 'select';
  groupable?: boolean;
  options?: SelectOptions[];
}

export interface ObjectProperties {
  type: LayerObjectType;
  properties: ObjectProperty[];
}
