export enum StorageSetType {
  DRAWERS = 'DRAWERS',
  SHELVES = 'SHELVES',
  CUPBOARD = 'CUPBOARD',
  CLOSET = 'CLOSET',
  FRIDGE = 'FRIDGE',
  FREEZER = 'FREEZER',
  BOX = 'BOX',
  BOXES = 'BOXES',
  OTHER = 'OTHER',
}

export const StorageSetTypeName: Record<StorageSetType, string> = {
  [StorageSetType.DRAWERS]: 'Set of drawers',
  [StorageSetType.SHELVES]: 'Shelves',
  [StorageSetType.CUPBOARD]: 'Cupboard',
  [StorageSetType.CLOSET]: 'Closet',
  [StorageSetType.FRIDGE]: 'Fridge',
  [StorageSetType.FREEZER]: 'Freezer',
  [StorageSetType.BOX]: 'Box',
  [StorageSetType.BOXES]: 'Boxes',
  [StorageSetType.OTHER]: 'Other',
};
