import { JFetchError } from './jfetch';

export default function takeError(thrown: unknown): string {
  if ((thrown as JFetchError).data) {
    const message = (thrown as JFetchError).data.message;
    if (message) {
      if (Array.isArray(message)) {
        return message.join('\n');
      }
      return message;
    }
  }
  if ((thrown as Error).message) return (thrown as Error).message;
  return 'An unexpected error occured';
}
