import { Vec2, Vec2Box } from '../modules/house-planner/interfaces';
import { StorageListItem } from './storage.interfaces';

export interface RoomListItem {
  id: number;
  displayName: string;
  plan: string;
}

export interface UpsertRoomItem {
  id?: number;
  canvasObjectId?: number;
  displayName: string;
  plan: string;
}

export interface RoomLayoutObject {
  id: number;
  displayName: string;
  plan: Vec2[];
  boundingBox: Vec2Box;
}
