import { BezierSegment, LineSegment, Vec2 } from './interfaces';

export type BezierControl = [
  BezierSegment,
  'startControl' | 'endControl',
  Vec2
];
export type LineControl = [LineSegment, 'start' | 'end', Vec2];
export type LayerObjectType = 'line' | 'room' | 'curve' | 'object';
